package com.bootdo.system.service.impl;

import com.bootdo.system.domain.AuthNetDeviceVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

import com.bootdo.system.dao.RegistrationDao;
import com.bootdo.system.domain.RegistrationDO;
import com.bootdo.system.service.RegistrationService;



@Service
public class RegistrationServiceImpl implements RegistrationService {

	@Autowired
	private RegistrationDao registrationDao;
	
	@Override
	public RegistrationDO get(Long id){
		return registrationDao.get(id);
	}
	
	@Override
	public List<RegistrationDO> list(Map<String, Object> map){
		return registrationDao.list(map);
	}
	
	@Override
	public int count(Map<String, Object> map){
		return registrationDao.count(map);
	}
	
	@Override
	public int save(RegistrationDO registration){
		return registrationDao.save(registration);
	}
	
	@Override
	public int update(RegistrationDO registration){
		return registrationDao.update(registration);
	}
	
	@Override
	public int remove(Long id){
		return registrationDao.remove(id);
	}
	
	@Override
	public int batchRemove(Long[] ids){
		return registrationDao.batchRemove(ids);
	}



}
